Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 694416 - app-misc/skim: Missing LICENSE for bundled crates
Summary: app-misc/skim: Missing LICENSE for bundled crates
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Georgy Yakovlev
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 694790
  Show dependency tree
 
Reported: 2019-09-15 06:30 UTC by Michał Górny
Modified: 2020-02-16 20:14 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2019-09-15 06:30:54 UTC
FWICS, the package is bundling a bunch of crates with licenses:
- MIT
- || ( MIT Unlicense )
- || ( MIT Apache-2.0 )
- unicode
- MPL-2.0

However, they are not listed in LICENSE.
Comment 1 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2019-11-03 20:00:04 UTC
Ping.
Comment 2 Larry the Git Cow gentoo-dev 2019-12-27 19:26:32 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5192e37442aa13e5ac74890cfa7ba74dc0deed57

commit 5192e37442aa13e5ac74890cfa7ba74dc0deed57
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2019-12-27 19:24:18 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2019-12-27 19:24:48 +0000

    app-misc/skim: bump to 0.6.9
    
    Bug: https://bugs.gentoo.org/694416
    Package-Manager: Portage-2.3.84, Repoman-2.3.20
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 app-misc/skim/Manifest          |   2 +
 app-misc/skim/skim-0.6.9.ebuild | 115 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 117 insertions(+)
Comment 3 Larry the Git Cow gentoo-dev 2020-02-16 20:14:53 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eea9b92e35083ca891e3eb0f0a243a612fad4f20

commit eea9b92e35083ca891e3eb0f0a243a612fad4f20
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2020-02-16 09:32:24 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2020-02-16 20:14:38 +0000

    app-misc/skim: drop old
    
    Closes: https://bugs.gentoo.org/694416
    Package-Manager: Portage-2.3.89, Repoman-2.3.20
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 app-misc/skim/Manifest          | 28 ----------------
 app-misc/skim/skim-0.5.2.ebuild | 74 -----------------------------------------
 2 files changed, 102 deletions(-)